Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.visual
Class LevelDraw

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--uk.co.westhawk.visual.LevelDraw

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class LevelDraw
extends java.awt.Canvas

The LevelDraw class produces a lightweight component in the shape of a Level. It can have a scale, and a label underneath.

It is used by the getAllInterfacesUI application to visualize the speed.

Version:
  $Revision: 1.3 $ $Date: 2006/01/17 17:43:54 $
Author:
  Birgit Arkesteijn
See Also:
  `Level`, Serialized Form

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LevelDraw()` Constructs a LevelDraw with no label

Method Summary
`void` | `addNotify()`
`java.awt.Dimension` | `getMinimumSize()` Returns the minimum size of the button.
`java.awt.Dimension` | `getPreferredSize()` Returns the preferred size of the button.
`double` | `getValue()`
`void` | `paint(java.awt.Graphics g)` Paints the LevelDraw
`void` | `setBackground(java.awt.Color c)`
`void` | `setForeground(java.awt.Color c)`
`void` | `setLevelBackground(java.awt.Color c)`
`void` | `setLevelForeground(java.awt.Color c)`
`void` | `setScale(boolean b)`
`void` | `setValue(double v)`
`java.lang.String` | `toString()`
`void` | `update(java.awt.Graphics g)`

Methods inherited from class java.awt.Canvas
`createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LevelDraw

    public LevelDraw()

  Constructs a LevelDraw with no label

Method Detail

### setValue

    public void setValue(double v)

### getValue

    public double getValue()

### addNotify

    public void addNotify()

  Overrides:
    `addNotify` in class `java.awt.Canvas`

### setScale

    public void setScale(boolean b)

### setForeground

    public void setForeground(java.awt.Color c)

  Overrides:
    `setForeground` in class `java.awt.Component`

### setBackground

    public void setBackground(java.awt.Color c)

  Overrides:
    `setBackground` in class `java.awt.Component`

### setLevelBackground

    public void setLevelBackground(java.awt.Color c)

### setLevelForeground

    public void setLevelForeground(java.awt.Color c)

### paint

    public void paint(java.awt.Graphics g)

  Paints the LevelDraw

  Overrides:
    `paint` in class `java.awt.Canvas`

### update

    public void update(java.awt.Graphics g)

  Overrides:
    `update` in class `java.awt.Canvas`

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns the preferred size of the button.

  Overrides:
    `getPreferredSize` in class `java.awt.Component`

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Returns the minimum size of the button.

  Overrides:
    `getMinimumSize` in class `java.awt.Component`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD